# A horizontal input line fitting the table
# <row_input	name=name
# 		title="<b>Name</b>"
# 		value="<? echo $row['name']; ?>"
# 		size=50   (optional)
# 		maxlength=100   (optional)
# 		>
<define-tag row_input>
<preserve title name value size maxlength>
<set-var %attributes>

<if <not <get-var title>>
  <set-var title="&nbsp;">>
<if <not <get-var size>>
  <set-var size="50">>
<if <not <get-var maxlength>>
  <set-var maxlength="100">>

<tr><td align=right bgcolor="<colh>"><font face="Helvetica,Arial"><get-var title></font></td>
<td bgcolor="<cold>"><font face="Helvetica,Arial"><input name=<get-var name> value="<get-var value>" size=<get-var size> maxlength=<get-var maxlength>></font></td></tr>

<restore title name value size maxlength>
</define-tag>


# A textarea input field fitting the table
# <row_textarea	name=name
# 		title="<b>Name</b>"
# 		value="<? echo $row['name']; ?>"
# 		cols=47   (optional)
# 		rows=5    (optional)
# 		>
<define-tag row_textarea>
<preserve title name value rows cols>
<set-var %attributes>

<if <not <get-var title>>
  <set-var title="&nbsp;">>
<if <not <get-var cols>>
  <set-var cols="47">>
<if <not <get-var rows>>
  <set-var rows="5">>

<tr><td align=right valign=top bgcolor="<colh>"><font face="Helvetica,Arial"><get-var title></font></td>
<td valign=top bgcolor="<cold>"><font face="Helvetica,Arial"><textarea name=<get-var name> cols=<get-var cols> rows=<get-var rows>><get-var value></textarea></font></td></tr>

<restore title name value rows cols>
</define-tag>


# A select field fitting the table
# <row_select	name=name
# 		title="<b>Name</b>"
# 		selected="<? echo $row['name']; ?>"
# 		keys are in $row_select_keys
# 		values are in $row_select_values
# 		>
<define-tag row_select>
<preserve title name selected>
<set-var %attributes>

<if <not <get-var title>>
  <set-var title="&nbsp;">>

<tr><td align=right bgcolor="<colh>"><font face="Helvetica,Arial"><get-var title></font></td>
<td bgcolor="<cold>"><font face="Helvetica,Arial"><select name=<get-var name>>
<?
      for ($row_select_nr=0; $row_select_nr < count ($row_select_keys); $row_select_nr++) {
	printf ("<option value=\"%s\"%s>%s\n", $row_select_keys[$row_select_nr],
	        <get-var selected> == $row_select_keys[$row_select_nr]?" selected":"",
		$row_select_values[$row_select_nr]);
      }
?>
</select>
</font></td></tr>

<restore title name selected>
</define-tag>


# A simple submit/reset button
# <row_submit>
<define-tag row_submit>
<tr>
<td colspan=2 align=center bgcolor="<cold>"><font face="Helvetica,Arial"><b><input type=submit value="<?echo $oid?"Change":"Submit";?>"> <input type=reset value="Reset"></b></font></td></tr>
</define-tag>

# A simple submit/reset button
# <row_submit_plain>
<define-tag row_submit_plain>
<tr>
<td colspan=2 align=center bgcolor="<cold>"><font face="Helvetica,Arial"><b><input type=submit value="Submit"> <input type=reset value="Reset"></b></font></td></tr>
</define-tag>
